﻿using System;
using System.Collections.Generic;

namespace Domain
{
    public class Person
    {
        public int PersonId { get; set; }

        public string FirstName { get; set; }
        public string LastName { get; set; }

        public virtual List<Contact> Contacts { get; set; } = new List<Contact>();

        public string FirstLastName => $"{FirstName} {LastName}".Trim();
        public string LastFirst => $"{LastName} {FirstName}".Trim();
    }
}
